/*Kyle Fritz
 *Question Input Program for "Who Wants to be a Millionaire?" Flash Game
 *Copyright 2004
 */
 
 import java.io.*;

class AddBot
{
	private BufferedReader inFile;
	private KFileOut outFile;
	private BufferedReader keyboard;
	private int index;
	
	public AddBot()
	{
		this("questions.txt");
	}
	
	public AddBot(String fileName)
	{
		this(fileName, false);
	}
	
	public AddBot(String fileName, boolean append)
	{

		keyboard = new BufferedReader(new InputStreamReader(System.in));
		index = 0;
		if(append)
		{
			try
			{
				inFile = new BufferedReader(new FileReader(new File(fileName)));
			}
			catch(FileNotFoundException e)
			{
				System.out.println("Error! File Not Found");
			}

			outFile = new KFileOut(fileName);
			append();
		}
		else
		{
			outFile = new KFileOut(fileName);
			run();
		}
	}
	
	private void append()
	{
		String input = null;
		try
		{
			input = inFile.readLine();
		}
		catch(IOException e)
		{
			System.out.println("Error! IOException Occured");
		}
		while(input != null)
		{
			if(!input.substring(0, 11).equals("&numOfQuestions"))
			{
				outFile.println(input);
				index++;
			}
			try
			{
				input = inFile.readLine();
			}
			catch(IOException e)
			{
				System.out.println("Error! IOException Occured");
			}
		}
		try
		{
			inFile.close();
		}
		catch(IOException e)
		{
			System.out.println("Error! IOException Occured");
		}
		index /= 2;
		run();
	}
	
	private void run()
	{
		String input = null;
		boolean done = false;
		boolean loop;
		
		while(!done)
		{
			loop = true;
			System.out.println();
			System.out.print("Enter a question: ");
			try
			{
				input = keyboard.readLine();
			}
			catch(IOException e)
			{
				System.out.println("Error! IOException");
			}
			outFile.println("&question" + index + "=" + input + "&");
			System.out.print("Enter its answer: ");
			try
			{
				input = keyboard.readLine();
			}
			catch(IOException e)
			{
				System.out.println("Error! IOException");
			}
			outFile.println("&answer" + index + "=" + input + "&");
			index++;
			while(loop)
			{
				System.out.print("Do you wish to add another? ");
				try
				{
					input = keyboard.readLine();
				}
				catch(IOException e)
				{
					System.out.println("Error! IOException");
				}
				if(!((input.charAt(0) == 'y') || (input.charAt(0) == 'Y') || (input.charAt(0) == 'n') || (input.charAt(0) == 'N')))
				{
					System.out.println("Please respond with a Yes or a No");
				}
				else
				{
					loop = false;
					if((input.charAt(0) == 'n') || (input.charAt(0) == 'N'))
					{
						done = true;
					}
				}
			}
		}
		outFile.println("&numOfQuestions=" + index + "&");
		outFile.close();
	}
}

public class AddWordsToGame
{
	public static void main(String [] args)
	{
		
		BufferedReader keyboard = new BufferedReader(new InputStreamReader(System.in));
		boolean append = false;
		String input = null;
		String fileName = null;
		
		//Print my title
		System.out.println("Question Input Program for Game Show Flash Game");
		System.out.println("Kyle Fritz Copyright 2004");
		System.out.println();
		
		//Prompt for file name
		System.out.print("Enter a file name (don't forget the extension): ");
		try
		{
			fileName = keyboard.readLine();
		}
		catch(IOException e)
		{
			System.out.println("Error! IOException");
		}
		
		//Check for append
		try
		{
			//Look for preexisting file
			new FileReader(fileName);
			boolean loop = true;
			while(loop)
			{
				//Ask for append
				System.out.println("There is already a file with that file name.");
				System.out.print("Do you wish to append your entries to the existing ones? ");
				try
				{
					input = keyboard.readLine();
				}
				catch(IOException e)
				{
					System.out.println("Error! IOException");
				}
				if(!((input.charAt(0) == 'y') || (input.charAt(0) == 'Y') || (input.charAt(0) == 'n') || (input.charAt(0) == 'N')))
				{
					System.out.println("Please respond with a Yes or a No");
				}
				else
				{
					loop = false;
					if((input.charAt(0) == 'y') || (input.charAt(0) == 'Y'))
					{
						append = true;
					}
					else
					{
						System.out.println("WARNING! Choosing not to create a new file will delete all existing questions.");
						System.out.print("Are you sure you wish to continue? ");
						try
						{
							input = keyboard.readLine();
						}
						catch(IOException e)
						{
							System.out.println("Error! IOException");
						}
						if(!((input.charAt(0) == 'y') || (input.charAt(0) == 'Y') || (input.charAt(0) == 'n') || (input.charAt(0) == 'N')))
						{
							System.out.println("Please respond with a Yes or a No");
							loop = true;
						}
						else
						{
							if((input.charAt(0) == 'y') || (input.charAt(0) == 'Y'))
							{
								append = false;
							}
							else
							{
								loop = true;
							}
						}
					}
				}
			}
		}
		catch(FileNotFoundException e)
		{
			append = false;
		}
		
		//Run the program
		new AddBot(fileName, append);

	}
}